# $Revision: 1.18 $, $Date: 2009/10/08 05:41:29 $
Summary:	bdftopcf application - convert X font from BDF to PCF
Summary(pl.UTF-8):	Aplikacja bdftopcf - konwersja fontów X z BDF do PCF
Name:		xorg-app-bdftopcf
Version:	1.0.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/bdftopcf-%{version}.tar.bz2
# Source0-md5:	148f20d28caaa69bbe7dcca7c2674fb6
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXfont-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bdftopcf is a font compiler for the X server and font server. Fonts in
Portable Compiled Format can be read by any architecture, although the
file is structured to allow one particular architecture to read them
directly without reformatting. This allows fast reading on the
appropriate machine, but the files are still portable (but read more
slowly) on other machines.

%description -l pl.UTF-8
bdftopcf to kompilator fontów dla serwera X i serwera fontów. Fonty w
formacie PCF (Portable Compiled Format) mogą być odczytywane na
dowolnej architekturze, jednak plik jest tak skonstruowany, że na
określonej architekturze może być czytany bez żadnych przekształceń.
Pozwala to na szybki odczyt na odpowiedniej maszynie, ale pliki są
nadal przenośne na inne maszyny (choć czytane wolniej).

%prep
%setup -q -n bdftopcf-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/bdftopcf
%{_mandir}/man1/bdftopcf.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-bdftopcf.spec,v $
Revision 1.18  2009/10/08 05:41:29  qboosh
- updated util-macros version

Revision 1.17  2009/09/22 06:44:40  arekm
- up to 1.0.2

Revision 1.16  2007/04/26 10:20:50  qboosh
- descs from man

Revision 1.15  2007/04/26 05:56:42  arekm
- up to 1.0.1

Revision 1.14  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.12  2006/10/15 09:29:20  qboosh
- use individual dir

Revision 1.11  2006/04/16 16:55:39  qboosh
- release 1

Revision 1.10  2006/01/10 12:46:37  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.9  2005/12/08 15:42:45  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 20:11:12  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 12:16:25  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 21:46:17  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 14:25:11  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- defined %%{_prefix} and %%{_mandir}
- fixed Group
- added BR: libXfont-devel
- release 0.02

* Sun Aug  7 2005 15:30:18  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
